/* $Id: eval.c,v 1.2 1995/12/28 19:20:31 aml Exp $
*/
#include <stdlib.h>

double yy_xxl_value;

char  *string_to_parse;
int call_to_xxl_input = 0;
int parse_return_code;

void set_expression_value(double val) {
    yy_xxl_value = val;
}

void set_string_to_parse(char *st) {
    string_to_parse = st;
}

void 
xxl_input(char *buf, int *result, int max_size) {
/*    fprintf(stderr, "xxl_input called with %d %d %d\n",buf,result,max_size);
*/
    if (call_to_xxl_input == 0) {
        strcpy(buf,string_to_parse);
        *result = strlen(string_to_parse);
    }
    else
        *result = 0;

    call_to_xxl_input++;
    return;
    
}




/* $Log: eval.c,v $
 * Revision 1.2  1995/12/28  19:20:31  aml
 * Created skeleton to merge calculation engine
 *
 * Revision 1.1  1995/12/28  18:31:25  aml
 * Initial revision
 *
 * Revision 1.5  1995/06/26 22:51:38  aml
 * Change to C++
 *
 * Revision 1.4  1995/06/26  16:39:16  aml
 * Change to C++
 *
 * Revision 1.3  1995/06/25  00:09:35  aml
 * First version of copy
 *
 * Revision 1.2  1995/06/23  16:09:15  aml
 * *** empty log message ***
 *
 * Revision 1.1  1995/06/23  15:41:05  aml
 * Initial revision
 * */
